<?php

namespace common\models;

use Yii;


class CalcBonusQuarter extends \common\components\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%CALC_BONUS_QUARTER}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['USER_ID', 'PERIOD_NUM', 'CALC_MONTH', 'CREATED_AT'], 'required'],
            [['AMOUNT', 'ORI_BONUS', 'MANAGE_TAX'], 'number'],
            [['PERIOD_NUM', 'CALC_MONTH', 'CREATED_AT'], 'integer'],
            [['ID', 'USER_ID'], 'string', 'max' => 32],
            [['ID'], 'unique'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'USER_ID' => '会员ID',
            'ORI_BONUS' => '原奖金',
            'MANAGE_TAX' => '管理费',
            'RECONSUME_POINTS' => '复消积分',
            'AMOUNT' => '金额',
            'CALC_YEAR' => '所在结算年',
            'CALC_MONTH' => '所在结算月',
            'PERIOD_NUM' => '结算期数',
            'CREATED_AT' => '创建时间',
        ];
    }
}